#!/bin/bash

## @file cmdbase_wrapper.sh
# @brief File contains implementation of several LinuxBase commands
# @details Symbolic links should be created to this file
#   during linuxbase rpmbuild .
# @date October , 2008
# @author Kryazhev, Sergey
# History:
#  Date    by                description change
#  14.10.08 Kryazhev, Sergey  initial version

SCRIPT_NAME=`/bin/basename $0`

case $SCRIPT_NAME in 
  date)
    if [ -z "$*" ];then
       /bin/date
    else
       /bin/echo "Use \"datetimeconfig\" to manage the date"
    fi 
    ;;

  *)
    logger  -p local0.error "Error: $0 is not intended to be run directly"
    ;;

esac
