package Hw;

use 5.008005;
use strict;
use warnings;
use Carp;

require Exporter;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use Hw ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
	EEPROMSIZE
	MAX_PEC_CODE_LEN
	MAX_PLATFORM_NAME_LEN
	MAX_SERIAL_LEN
	PLATFORM_BUPM
	PLATFORM_CPP2
	PLATFORM_CPP4
	PLATFORM_CPPM
	PLATFORM_CPPMv2
	PLATFORM_DL320G4
	PLATFORM_DL360G5
	PLATFORM_DSP2LD
	PLATFORM_DSPHD
	PLATFORM_DSPLD
	PLATFORM_DSPLDHD
	PLATFORM_ISP1100
	PLATFORM_ITG486
	PLATFORM_ITGP
	PLATFORM_MC32S
	PLATFORM_MGC
	PLATFORM_R300
	PLATFORM_SMC
	PLATFORM_UNKNOWN
	PLATFORM_VIRTUALPC
	PLATFORM_VMWARE
	PLATFORM_X306M
	PLATFORM_X3350
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
	EEPROMSIZE
	MAX_PEC_CODE_LEN
	MAX_PLATFORM_NAME_LEN
	MAX_SERIAL_LEN
	PLATFORM_BUPM
	PLATFORM_CPP2
	PLATFORM_CPP4
	PLATFORM_CPPM
	PLATFORM_CPPMv2
	PLATFORM_DL320G4
	PLATFORM_DL360G5
	PLATFORM_DSP2LD
	PLATFORM_DSPHD
	PLATFORM_DSPLD
	PLATFORM_DSPLDHD
	PLATFORM_ISP1100
	PLATFORM_ITG486
	PLATFORM_ITGP
	PLATFORM_MC32S
	PLATFORM_MGC
	PLATFORM_R300
	PLATFORM_SMC
	PLATFORM_UNKNOWN
	PLATFORM_VIRTUALPC
	PLATFORM_VMWARE
	PLATFORM_X306M
	PLATFORM_X3350
);

our $VERSION = '0.01';

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.

    my $constname;
    our $AUTOLOAD;
    ($constname = $AUTOLOAD) =~ s/.*:://;
    croak "&Hw::constant not defined" if $constname eq 'constant';
    my ($error, $val) = constant($constname);
    if ($error) { croak $error; }
    {
	no strict 'refs';
	# Fixed between 5.005_53 and 5.005_61
#XXX	if ($] >= 5.00561) {
#XXX	    *$AUTOLOAD = sub () { $val };
#XXX	}
#XXX	else {
	    *$AUTOLOAD = sub { $val };
#XXX	}
    }
    goto &$AUTOLOAD;
}

require XSLoader;
XSLoader::load('Hw', $VERSION);

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Hw - Perl extension for blah blah blah

=head1 SYNOPSIS

  use Hw;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for Hw, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.

=head2 Exportable constants

  
  EEPROMSIZE
  MAX_PEC_CODE_LEN
  MAX_PLATFORM_NAME_LEN
  MAX_SERIAL_LEN
  PLATFORM_BUPM
  PLATFORM_CPP2
  PLATFORM_CPP4
  PLATFORM_CPPM
  PLATFORM_CPPMv2
  PLATFORM_DL320G4
  PLATFORM_DL360G5
  PLATFORM_DSP2LD
  PLATFORM_DSPHD
  PLATFORM_DSPLD
  PLATFORM_DSPLDHD
  PLATFORM_ISP1100
  PLATFORM_ITG486
  PLATFORM_ITGP
  PLATFORM_MC32S
  PLATFORM_MGC
  PLATFORM_R300
  PLATFORM_SMC
  PLATFORM_UNKNOWN
  PLATFORM_VIRTUALPC
  PLATFORM_VMWARE
  PLATFORM_X306M
  PLATFORM_X3350



=head1 SEE ALSO

Mention other useful documentation such as the documentation of
related modules or operating system documentation (such as man pages
in UNIX), or any relevant external documentation such as RFCs or
standards.

If you have a mailing list set up for your module, mention it here.

If you have a web site set up for your module, mention it here.

=head1 AUTHOR

Marcel Braaksma, E<lt>mbraaksm@localdomainE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2010 by Marcel Braaksma

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.5 or,
at your option, any later version of Perl 5 you may have available.


=cut
